#include "filelogcache.h"

int main (int argc, char** argv)
{
	StrBuf path;
	if (argc == 2) path.Set(argv[1]);
	else return 1;
	ClientApi client;
	Error e;
	FileLogCache* cache = new FileLogCache(path, &client, &e);
	FileHead* fhead = cache->head;
	FileRev* frev;
	FileRevArrow* farrow;
	while (fhead)
	{
		printf("%s\n", fhead->file.Text());
		frev = fhead->head;
		while (frev)
		{
			printf("... #%s\n", frev->rev.Text());
			farrow = frev->fromarrows;
			while (farrow)
			{
				printf("... ... %s#%s\n", farrow->ptr->file->file.Text(), farrow->ptr->rev.Text());
				farrow=farrow->next;
			}
			frev = frev->next;
		}
		fhead = fhead->next_into;
	}
	e.Abort();
	return 0;
}